## limo 0.2.1-1

=== Makefile ===
# $Id: Makefile,v 1.8 1999/06/15 23:46:58 fraserm Exp $
# $Log: Makefile,v $
# Revision 1.8  1999/06/15 23:46:58  fraserm
# added version
#
# Revision 1.7  1999/05/30 11:34:24  fraserm
# *** empty log message ***
#
# Revision 1.6  1999/05/30 01:08:48  fraserm
# *** empty log message ***
#
# Revision 1.5  1999/05/26 23:52:42  fraserm
# added custom command stuff
#
# Revision 1.4  1999/05/16 19:46:45  fraserm
# added CHANGELOG
#
# Revision 1.3  1999/04/26 01:14:33  fraserm
# added d and D chunks, up to 0.1.1
#
# Revision 1.2  1999/04/24 15:07:15  fraserm
# added manpage to makefile
#
# Revision 1.1  1999/04/20 23:42:40  fraserm
# Initial revision
#

VERSION=0.2.1

CFLAGS=-O -DVERSION=\"$(VERSION)\"
#CFLAGS=-g

# Edited for Debian GNU/Linux
DESTDIR=
INSTALL=$(DESTDIR)/usr/bin
PROGNAME=limo
OTHERPROGNAME=li

SOURCES=$(PROGNAME).h $(PROGNAME).c flist.c fnode.c display.c custom.c
OBJECTS=$(PROGNAME).o flist.o fnode.o display.o custom.o
OTHERS=Makefile $(PROGNAME).1 LICENCE README CHANGELOG
DISTFILES=$(SOURCES) $(OTHERS)

all: $(PROGNAME)

$(PROGNAME).o: $(PROGNAME).c $(PROGNAME).h

flist.o: flist.c $(PROGNAME).h

fnode.o: fnode.c $(PROGNAME).h

display.o: display.c $(PROGNAME).h

custom.o: custom.c $(PROGNAME).h

$(PROGNAME): $(OBJECTS)
	cc $(CFLAGS) -o $(PROGNAME) $(OBJECTS)

install: all $(PROGNAME).1
	cp $(PROGNAME) $(INSTALL)/$(PROGNAME)
	cp $(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
	chmod +x $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
	strip $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1
	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1
#	chmod 644 $(DESTDIR)/usr/man/man1/$(PROGNAME).1
#	chmod 644 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1

uninstall:
	rm -f $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME) $(DESTDIR)/usr/man/man8/$(PROGNAME).1

dist: $(PROGNAME)-$(VERSION).tar.gz

$(PROGNAME)-$(VERSION).tar.gz: $(DISTFILES)
	rm -rf $(PROGNAME)-$(VERSION)
	mkdir $(PROGNAME)-$(VERSION)
	cp $(DISTFILES) $(PROGNAME)-$(VERSION)
	tar cvf $(PROGNAME)-$(VERSION).tar $(PROGNAME)-$(VERSION)
	gzip -f9 $(PROGNAME)-$(VERSION).tar
	rm -rf $(PROGNAME)-$(VERSION)

clean:
	rm -f $(OBJECTS) $(PROGNAME) $(PROGNAME)-$(VERSION).tar.gz

=== debian/changelog ===
limo (0.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Kettner <kk@debian.org>  Wed, 23 Jun 1999 11:35:02 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: limo
Section: utils
Priority: optional
Maintainer: Klaus Kettner <kk@debian.org>
Standards-Version: 2.5.0

Package: limo
Architecture: any
Depends: ${shlibs:Depends}
Description: Lists files in a custom way
 limo is a replacement for ls with some knobs on. By default, it is
 installed as both limo and as li. It tries to give far more control
 over the output format than ls and has simpler and more straightforward
 (albeit more verbose) options. It also has the -l and -s options which
 behave similarly to those of ls.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages -v
#	dh_undocumented
	dh_installchangelogs CHANGELOG

	dh_link
	dh_strip
	dh_compress
	dh_fixperms -v
	# You may want to make some executables suid here
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -v

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## limo 0.3.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,29 @@
-# $Id: Makefile,v 1.8 1999/06/15 23:46:58 fraserm Exp $
+# $Id: Makefile,v 1.16 2000/01/24 00:37:17 fraserm Exp $
 # $Log: Makefile,v $
+# Revision 1.16  2000/01/24 00:37:17  fraserm
+# *** empty log message ***
+#
+# Revision 1.15  2000/01/23 23:49:46  fraserm
+# applied Cygwin patch from Andre Oliveira da Costa <costa@cade.com.br>
+#
+# Revision 1.14  1999/12/22 01:37:20  fraserm
+# bugfix release
+#
+# Revision 1.13  1999/12/21 02:45:14  fraserm
+# added strip of final executable
+#
+# Revision 1.12  1999/12/21 02:43:05  fraserm
+# changes as per 0.3 in CHANGELOG
+#
+# Revision 1.11  1999/12/14 02:17:45  fraserm
+# debugging off
+#
+# Revision 1.10  1999/12/14 02:06:24  fraserm
+# -> 0.2.3
+#
+# Revision 1.9  1999/07/01 01:40:20  fraserm
+# *** empty log message ***
+#
 # Revision 1.8  1999/06/15 23:46:58  fraserm
 # added version
 #
@@ -25,16 +49,24 @@
 # Initial revision
 #
 
-VERSION=0.2.1
+VERSION=0.3.2
 
 CFLAGS=-O -DVERSION=\"$(VERSION)\"
-#CFLAGS=-g
+#CFLAGS=-g -DVERSION=\"$(VERSION)\"
 
-# Edited for Debian GNU/Linux
-DESTDIR=
-INSTALL=$(DESTDIR)/usr/bin
+# Linux & others
+INSTALL=/usr/local
+# Solaris
+# INSTALL=/opt
+
 PROGNAME=limo
 OTHERPROGNAME=li
+
+# Uncomment EXESUFFIX=.exe below to enable compilation on Cygwin (UNIX
+# layer over Windows)
+#
+EXESUFFIX=
+# EXESUFFIX=.exe
 
 SOURCES=$(PROGNAME).h $(PROGNAME).c flist.c fnode.c display.c custom.c
 OBJECTS=$(PROGNAME).o flist.o fnode.o display.o custom.o
@@ -54,20 +86,18 @@
 custom.o: custom.c $(PROGNAME).h
 
 $(PROGNAME): $(OBJECTS)
-	cc $(CFLAGS) -o $(PROGNAME) $(OBJECTS)
+	$(CC) $(CFLAGS) -o $(PROGNAME) $(OBJECTS)
+	strip $(PROGNAME)$(EXESUFFIX)
 
 install: all $(PROGNAME).1
-	cp $(PROGNAME) $(INSTALL)/$(PROGNAME)
-	cp $(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
-	chmod +x $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
-	strip $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME)
-	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1
-	cp $(PROGNAME).1 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1
-#	chmod 644 $(DESTDIR)/usr/man/man1/$(PROGNAME).1
-#	chmod 644 $(DESTDIR)/usr/man/man1/$(OTHERPROGNAME).1
+	cp $(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX)
+	cp $(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX)
+	chmod +x $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX)
+	strip $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX)
+	rm -f $(INSTALL)/man/man1/$(PROGNAME).1 ; cp $(PROGNAME).1 $(INSTALL)/man/man1
 
 uninstall:
-	rm -f $(INSTALL)/$(PROGNAME) $(INSTALL)/$(OTHERPROGNAME) $(DESTDIR)/usr/man/man8/$(PROGNAME).1
+	rm -f $(INSTALL)/bin/$(PROGNAME)$(EXESUFFIX) $(INSTALL)/bin/$(OTHERPROGNAME)$(EXESUFFIX) $(INSTALL)/man/man8/$(PROGNAME).1
 
 dist: $(PROGNAME)-$(VERSION).tar.gz
 
@@ -80,4 +110,4 @@
 	rm -rf $(PROGNAME)-$(VERSION)
 
 clean:
-	rm -f $(OBJECTS) $(PROGNAME) $(PROGNAME)-$(VERSION).tar.gz
+	rm -f $(OBJECTS) $(PROGNAME)$(EXESUFFIX) $(PROGNAME)-$(VERSION).tar.gz
